using SoapEndpoint.Service.Proxy.Models.Systeem;

namespace SoapEndpoint.Service.Proxy.ServiceProxies.Flows;

public interface ILogbookProxy<TMessageType> where TMessageType : Enum
{
    Task<LogboekBerichtModel<TMessageType>[]> GetMessagesAsync(LogboekZoekberichtModel bericht);
    Task<ConversatieLogboekBerichtModel<TMessageType>> GetConversationAsync(ConversatieLogboekZoekberichtModel bericht);
}