﻿using System.Security.Cryptography.X509Certificates;
using SoapEndpoint.Service.Flows.Schuldbemiddeling.v1.ShvService;
using SoapEndpoint.Service.Systeem.v1.MessageBoxService;
using static SoapEndpoint.Service.Proxy.Infrastructure.ServiceClientHelper;

namespace SoapEndpoint.Tester.Infrastructure;

public static class ServiceHostHelper_v1
{
    public static ISoapShvService GetShvProxy(X509Certificate2 certificate, string url = null) =>
        ConfigureClient(new SoapShvServiceClient(), certificate, url);

    public static IMessageBoxService GetMessageBoxProxy(X509Certificate2 certificate, string url = null) =>
        ConfigureClient(new MessageBoxServiceClient(), certificate, url);
}