﻿using SoapEndpoint.Service.Flows.BrEnHf.v1.LogbookService;
using SoapEndpoint.Tester.Scenario.Flow.BrEnHf;

namespace SoapEndpoint.Tester.Scenario.Implementations.BrEnHf;

public class BetaalvoorstelAkkoordScenario : BrEnHfScenarioBase
{
    public override string Name => "Betaalvoorstel Akkoord";

    protected override async Task ExecuteAsync()
    {
        StartNewScenario("Betaalvoorstel akkoord 1");

        await Manager.SHV_FlowAsync(Conversation, null,
            new ShvFlowItem(BerichtType.SHV_Saldoverzoek, BerichtType.SE_SaldoverzoekAntwoord),
            new ShvFlowItem(BerichtType.SHV_Betaalvoorstel, BerichtType.SE_BetaalvoorstelAntwoordAkkoord),
            new ShvFlowItem(BerichtType.SHV_RegelingGeaccordeerd));
    }
}